### Enumeration

# Qmi PbmEventRegistrationFlag

since: 1.6

#### Declaration

    flags Qmi.PbmEventRegistrationFlag

#### Description [src]

Flags to use to register to phonebook indications.

Available since: 1.6

#### Members

`QMI_PBM_EVENT_REGISTRATION_FLAG_RECORD_UPDATE`

  Request indications when records are added/edited/deleted.

  - Value: `1`
  - Available since: 1.6
`QMI_PBM_EVENT_REGISTRATION_FLAG_PHONEBOOK_READY`

  Request indications when phonebooks are ready.

  - Value: `2`
  - Available since: 1.6
`QMI_PBM_EVENT_REGISTRATION_FLAG_EMERGENCY_NUMBER_LIST`

  Request indications when emergency numbers are changed.

  - Value: `4`
  - Available since: 1.6
`QMI_PBM_EVENT_REGISTRATION_FLAG_HIDDEN_RECORD_STATUS`

  Request indications when hidden record status is changed.

  - Value: `8`
  - Available since: 1.6
`QMI_PBM_EVENT_REGISTRATION_FLAG_AAS_UPDATE`

  Request indications when Additional number Alpha String records are added/edited/deleted.

  - Value: `16`
  - Available since: 1.6
`QMI_PBM_EVENT_REGISTRATION_FLAG_GAS_UPDATE`

  Request indications when Grouping information Alpha String records are added/edited/deleted.

  - Value: `32`
  - Available since: 1.6

#### Type functions

###### qmi_pbm_event_registration_flag_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiPbmEventRegistrationFlag` in `mask`.

since: 1.6